<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<!--
	Common Log4j Configuration
-->
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/"
	debug="true">

	<!-- Logging Appenders -->
	<appender name="ccht.console.appender.detailed" class="org.apache.log4j.ConsoleAppender">
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="%d %-5p [%c{1}] %m%n" />
		</layout>
	</appender>
	<appender name="ccht.file.appender.detailed" class="org.apache.log4j.RollingFileAppender">
		<param name="append" value="true" />
		<param name="file" value="ccht.log" />
		<param name="maxFileSize" value="10MB" />
		<param name="maxBackupIndex" value="10" />
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="[%p] %d{yyyyMMdd hh:mm:ss aa SSS} %t [%c]%n%m%n%n" />
		</layout>
	</appender>

	<!--
		ccht Layer (components desired to log into own application log files)
	-->
	<logger name="gov.va.med.ccht" additivity="false">
		<level value="info" />
		<appender-ref ref="ccht.file.appender.detailed" />
	</logger>

	<!--
		Framework Layer (components desired to log into own application log
		files)
	-->
	<logger name="gov.va.med.fw" additivity="false">
		<level value="info" />
		<appender-ref ref="ccht.file.appender.detailed" />
	</logger>

	<!-- Third party libraries -->
	<logger name="net.sf" additivity="false">
		<level value="warn" />
		<appender-ref ref="ccht.file.appender.detailed" />
	</logger>

	<logger name="org.springframework" additivity="false">
		<level value="warn" />
		<appender-ref ref="ccht.file.appender.detailed" />
	</logger>

	<logger name="org.hibernate" additivity="false">
		<level value="warn" />
		<appender-ref ref="ccht.file.appender.detailed" />
	</logger>

	<logger name="org.hibernate.type" additivity="false">
		<level value="warn" />
		<appender-ref ref="ccht.file.appender.detailed" />
	</logger>	

</log4j:configuration>